[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#544685: marked as done (trousers_0.3.2-4(ia64/unstable): FTBFS: pointer vs int size issues)

Your message dated Fri, 16 Oct 2009 19:59:36 +0000
with message-id <E1Mysxc-0003O4-Gr@ries.debian.org>
and subject line Bug#544685: fixed in trousers 0.3.2-5
has caused the Debian Bug report #544685,
regarding trousers_0.3.2-4(ia64/unstable): FTBFS: pointer vs int size issues
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

544685: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544685
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: trousers
Version: 0.3.2-4
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of trousers_0.3.2-4 on caballero by sbuild/ia64 98
> Build started at 20090831-2304


> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 7), autotools-dev, libssl-dev, libtool, quilt


> tcs_evlog_imaem.c: In function 'ima_get_entries_by_pcr':
> tcs_evlog_imaem.c:88: error: cast to pointer from integer of different size
> tcs_evlog_imaem.c: In function 'ima_get_entry':
> tcs_evlog_imaem.c:214: error: cast to pointer from integer of different size
> tcs_evlog_imaem.c: In function 'ima_close':
> tcs_evlog_imaem.c:294: error: cast to pointer from integer of different size
> make[3]: *** [libtcs_a-tcs_evlog_imaem.o] Error 1
> make[3]: Leaving directory `/build/buildd/trousers-0.3.2/src/tcs'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/trousers-0.3.2/src'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/build/buildd/trousers-0.3.2'
> dh_auto_build: make returned exit code 2
> make: *** [build] Error 1
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

A full build log can be found at:

--- End Message ---
--- Begin Message ---
Source: trousers
Source-Version: 0.3.2-5

We believe that the bug you reported is fixed in the latest version of
trousers, which is due to be installed in the Debian FTP archive:

  to pool/main/t/trousers/libtspi-dev_0.3.2-5_amd64.deb
  to pool/main/t/trousers/libtspi1_0.3.2-5_amd64.deb
  to pool/main/t/trousers/trousers-dbg_0.3.2-5_amd64.deb
  to pool/main/t/trousers/trousers_0.3.2-5.diff.gz
  to pool/main/t/trousers/trousers_0.3.2-5.dsc
  to pool/main/t/trousers/trousers_0.3.2-5_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Laurent Bigonville <bigon@debian.org> (supplier of updated trousers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Fri, 16 Oct 2009 21:35:33 +0200
Source: trousers
Binary: trousers trousers-dbg libtspi1 libtspi-dev
Architecture: source amd64
Version: 0.3.2-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Laurent Bigonville <bigon@debian.org>
 libtspi-dev - open-source TCG Software Stack (development)
 libtspi1   - open-source TCG Software Stack (library)
 trousers   - open-source TCG Software Stack (daemon)
 trousers-dbg - open-source TCG Software Stack (debug)
Closes: 544685
 trousers (0.3.2-5) unstable; urgency=low
   * QA upload.
   * debian/patches/09-fix-fopen.patch: Fix FTBS on most archs
     (Taken from upstream) (Closes: #544685)
   * Fix debhelper-overrides-need-versioned-build-depends
 731f8edc13a4d86b42e3df9de768e260b6201b8f 1091 trousers_0.3.2-5.dsc
 b49ffbb2e38e098c6f0ccc43b9d9d0429ae2a295 14154 trousers_0.3.2-5.diff.gz
 5470d914dc965c87aa69ba01f7444f4d8ecb9c4d 146226 trousers_0.3.2-5_amd64.deb
 d0acbe716b67c3fffa93af5201750620429276ee 577974 trousers-dbg_0.3.2-5_amd64.deb
 3cbf47801da103e245b7b6c689712faf28775ef3 195592 libtspi1_0.3.2-5_amd64.deb
 a9ff2143a3d0a6c1b53f5515278f58db3475ed17 658216 libtspi-dev_0.3.2-5_amd64.deb
 463cdf1ce4fdef788f073459a6dea14c2d6b4cf518c777150281c2ff2055c304 1091 trousers_0.3.2-5.dsc
 96107069b68407a8aea43a9f743b4548c36e06c6adbb2e14128d46d498465244 14154 trousers_0.3.2-5.diff.gz
 e6ffbefe0aa0cd1e2a3324e0977af87238c6e022eb4b3b38d5d485e51e4e2b1a 146226 trousers_0.3.2-5_amd64.deb
 e92b3e06d97f717d1c41e142fa5add7ed71c849c2446ef6adafb0491f45a7323 577974 trousers-dbg_0.3.2-5_amd64.deb
 033d314b9a4fe90e69d5a4919832ca085b717330234bd38e64e4bdd4fc2ffea1 195592 libtspi1_0.3.2-5_amd64.deb
 1af7d6b7bdae7bfd71ca5c6a15d0b5548a60abd0cbaeb06bf74882f06d484c31 658216 libtspi-dev_0.3.2-5_amd64.deb
 51b30f7edf3af8b7b16213a40d6af0ef 1091 admin optional trousers_0.3.2-5.dsc
 51096257ee31a550ce76d7db3a3ad45e 14154 admin optional trousers_0.3.2-5.diff.gz
 4675ba9b05adf63f3b81d28a13cc8256 146226 admin optional trousers_0.3.2-5_amd64.deb
 b8185c55898ac564aa45567b0b875a1b 577974 debug extra trousers-dbg_0.3.2-5_amd64.deb
 7787c9cd834ee1c58aeaeb58fe61fcb3 195592 libs optional libtspi1_0.3.2-5_amd64.deb
 c44795fc8e672117954465823c8bbc9c 658216 libdevel optional libtspi-dev_0.3.2-5_amd64.deb

Version: GnuPG v1.4.9 (GNU/Linux)


--- End Message ---

Reply to: